Package com.collabnet.ce.soap60.webservices.planning

# Class PlanningFolderSummarySoapRowConvertor

java.lang.Object
com.collabnet.ce.soap60.webservices.planning.PlanningFolderSummarySoapRowConvertor

public class PlanningFolderSummarySoapRowConvertor extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlanningFolderSummarySoapRowConvertor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PlanningFolderSummary2SoapRow`
  `getPlanningFolderSummary2SoapRow(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderRow planningFolderRow)`
  Set and return PlanningFolderSummary2SoapRow from PlanningFolderSummaryData
  `PlanningFolderSummary3SoapRow`
  `getPlanningFolderSummary3SoapRow(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderRow planningFolderRow)`
  Set and return PlanningFolderSummary3SoapRow from PlanningFolderSummaryData
  `PlanningFolderSummary4SoapRow`
  `getPlanningFolderSummary4SoapRow(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderRow planningFolderRow)`
  Set and return PlanningFolderSummary4SoapRow from PlanningFolderSummaryData
  `PlanningFolderSummary5SoapRow`
  `getPlanningFolderSummary5SoapRow(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderRow planningFolderRow)`
  Set and return PlanningFolderSummary5SoapRow from PlanningFolderSummaryData
  `PlanningFolderSummarySoapRow`
  `getPlanningFolderSummarySoapRow(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderRow planningFolderRow)`
  Set and return PlanningFolderSummarySoapRow from PlanningFolderSummaryData
  `static PlanningFolderSummarySoapRowConvertor`
  `getSmInstance()`
  Returns the singleton class instance.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlanningFolderSummarySoapRowConvertor

    public PlanningFolderSummarySoapRowConvertor()

- ## Method Details

  - ### getSmInstance

    public static PlanningFolderSummarySoapRowConvertor getSmInstance()
    Returns the singleton class instance.
    Returns:
      Singleton class instance.

  - ### getPlanningFolderSummarySoapRow

    public PlanningFolderSummarySoapRow getPlanningFolderSummarySoapRow(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderRow planningFolderRow)
    Set and return PlanningFolderSummarySoapRow from PlanningFolderSummaryData
    Parameters:
      `statsObject` - PlanningFolderSummaryData object
      `planningFolderRow` - PlanningFolderRow
    Returns:
      PlanningFolderSummarySoapRow

  - ### getPlanningFolderSummary2SoapRow

    public PlanningFolderSummary2SoapRow getPlanningFolderSummary2SoapRow(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderRow planningFolderRow)
    Set and return PlanningFolderSummary2SoapRow from PlanningFolderSummaryData
    Parameters:
      `statsObject` - PlanningFolderSummaryData object
      `planningFolderRow` - PlanningFolderRow
    Returns:
      PlanningFolderSummary2SoapRow

  - ### getPlanningFolderSummary3SoapRow

    public PlanningFolderSummary3SoapRow getPlanningFolderSummary3SoapRow(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderRow planningFolderRow)
    Set and return PlanningFolderSummary3SoapRow from PlanningFolderSummaryData
    Parameters:
      `statsObject` - PlanningFolderSummaryData object
      `planningFolderRow` - PlanningFolderRow
    Returns:
      PlanningFolderSummary3SoapRow

  - ### getPlanningFolderSummary4SoapRow

    public PlanningFolderSummary4SoapRow getPlanningFolderSummary4SoapRow(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderRow planningFolderRow)
    Set and return PlanningFolderSummary4SoapRow from PlanningFolderSummaryData
    Parameters:
      `statsObject` - PlanningFolderSummaryData object
      `planningFolderRow` - PlanningFolderRow
    Returns:
      PlanningFolderSummary4SoapRow

  - ### getPlanningFolderSummary5SoapRow

    public PlanningFolderSummary5SoapRow getPlanningFolderSummary5SoapRow(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderRow planningFolderRow)
    Set and return PlanningFolderSummary5SoapRow from PlanningFolderSummaryData
    Parameters:
      `statsObject` - PlanningFolderSummaryData object
      `planningFolderRow` - PlanningFolderRow
    Returns:
      PlanningFolderSummary5SoapRow